"{ Package: 'stx:goodies/sunit' }"

LibraryDefinition subclass:#stx_goodies_sunit
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_goodies_sunit class methodsFor:'documentation'!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/goodies/sunit/stx_goodies_sunit.st,v 1.26 2011-08-20 14:02:27 vrany Exp $'
! !

!stx_goodies_sunit class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
    )
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
	#'stx:libbasic'    "Object - superclass of SimpleTestResourceB1 "
	#'stx:libview'    "Color - referenced by TestRunner>>displayNormalColorInProgress "
	#'stx:libview2'    "Model - superclass of TestRunner "
    )
! !

!stx_goodies_sunit class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        (ExampleTestResource autoload)
        SUnitDelay
        SUnitNameResolver
        TestAsserter
        TestFailure
        TestResult
        (TestResultReporter autoload)
        TestRunner
        TestSuite
        (TestSuitesCompoundScriptTest autoload)
        (TestSuitesHierarchyScriptTest autoload)
        (TestSuitesScriptTest autoload)
        TestSuitesScripter
        #'stx_goodies_sunit'
        ResumableTestFailure
        TestCase
        TestCaseWithArguments
        TestResource
        (ExampleSetTest autoload)
        (ResumableTestFailureTestCase autoload)
        (SUnitTest autoload)
        (SimpleTestResource autoload)
        (SimpleTestResourceTestCase autoload)
        (FailingTestResourceTestCase autoload)
        (ManyTestResourceTestCase autoload)
        (SimpleTestResourceA autoload)
        (SimpleTestResourceA1 autoload)
        (SimpleTestResourceA2 autoload)
        (SimpleTestResourceB autoload)
        (SimpleTestResourceB1 autoload)
        (SimpleTestResourceCircular autoload)
        (SimpleTestResourceCircular1 autoload)
        (CircularTestResourceTestCase autoload)
        TestCaseOutcome
        TestResultStX
    )

    "Modified: / 17-08-2011 / 13:58:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
	Block sunitEnsure:
	Block sunitOn:do:
	Exception sunitAnnounce:toResult:
	Exception sunitExitWith:
	Object sunitAddDependent:
	Object sunitChanged:
	Object sunitRemoveDependent:
	String sunitAsSymbol
	String sunitMatch:
	String sunitSubStrings
	Symbol sunitAsClass
	'GenericException class' sunitSignalWith:
    )
! !

!stx_goodies_sunit class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2007'

    "Modified: / 08-11-2007 / 16:57:33 / cg"
! !

!stx_goodies_sunit class methodsFor:'description - svn'!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'exported'"$"
! !

!stx_goodies_sunit class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/stx_goodies_sunit.st,v 1.26 2011-08-20 14:02:27 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/sunit/stx_goodies_sunit.st,v 1.26 2011-08-20 14:02:27 vrany Exp $'
!

version_SVN
    ^ 'Id: stx_goodies_sunit.st 214 2011-03-14 12:22:21Z vranyj1 '
! !
